package thyyxxk.webserver.entity.medicalinsurance.digitalreceipt.request;

import lombok.Data;

@Data
public class MedicineInquiry {
    private String fixmedinsCode = "H32132200561";
    private String medListCodg;
    private String begntime;
    private String endtime;
    private Integer pageNum;
    private Integer pageSize;
    private Boolean needSaving;
    // 是否只下载当前传参的页码
    private Boolean onlyCurrentPage;

    public Boolean needSaving() {
        return null != this.needSaving && this.needSaving;
    }

    public Boolean onlyCurrentPage() {
        return null != this.onlyCurrentPage && this.onlyCurrentPage;
    }
}
